1. Player Management
NovaCloud-EN
  • API Access Guide
  • Common HTTP Status Codes
  • VNNOX
    • Player
      • Player Management
        • Add Player
          POST
        • Obtain player list
          GET
      • Obtaining Player Status
        • Obtaining Basic Player Information
        • Obtaining Player Configuration Status
    • Solutions
      • Emergency Insertion
        • Single-Page Emergency Insertion Solutions
        • Canceling Emergency Insertion Solutions
      • Program widget examples
        • Hand-drawn clock widget
        • Text component
        • RSS component
        • WEATHER - Simple Weather Component
        • ANALOG_WEATHER - Basic Weather Component
        • ANALOG_WEATHER - Basic Weather Component
        • Weather widget
        • Environmental Monitoring widget
      • Common Solutions
      • Offline Export
      • Over-specification Detection Switching
      • Program Over-specification Detection
    • Real-Time Control
      • NTP Time Synchronization
      • Synchronous playback
      • Brightness Adjustment
      • Screenshots
      • Volume Adjustment
      • Video Source Switching
      • Screen Status
      • Restart Players
      • Screen Power
    • Scheduled Control
      • Scheduled Screen Status
      • Scheduled Restart Players
      • Scheduled Volume Adjustment
      • Scheduled Brightness Adjustment
      • Scheduled Video Source Switching
    • Logs
      • Play Logs
        • Batch Searching for Play Log Overviews
        • Batch Searching for Play Log Details
        • Searching for the Play Log Detail of a Single Player
        • Searching for the Play Log Overview of a Single Player
      • Obtaining Control Command Execution Logs
    • Notifications
      • Video Source Change Notifications
      • Solution Change Notifications
  • VNNOXCare
    • Notes
    • Device Status Monitoring
      • Receiving Card
        • Topology Information
        • Basic Information
        • Monitoring Information
        • Alarm Information
      • Screen
        • Screen list
        • Screen detail
        • Monitoring Information
      • Master Controller
        • Basic Information
        • Alarm Information
        • Operating Parameters Information
      • Smart Module
        • Monitoring Information
        • Alarm Infomation
      • Input Source
        • Monitor Infomation
      • Module/Cabinet
        • Monitoring Information
      • Monitoring Card
        • Alarm Information
        • Monitoring Information
      • Camera
        • Camera configuration
        • The camera monitors the aggregated information
    • Brightness Log
      • Brightness History
  • Others
    • Third-Party System Authorization
      • Obtaining User List
      • Obtaining Login URL
  • Schemas
    • Scheduled plan item
    • Player Common Solution
    • Hand drawn digital clock
    • Environmental Monitoring item
    • Solution widgets base
    • Text component
    • RSS component
    • WEATHER - Simple Weather Component
    • ANALOG_WEATHER - Basic Weather Component
    • ADVANCED_WEATHER - Advanced Weather Component
  1. Player Management

Add Player

US
https://open-us.vnnox.com
US
https://open-us.vnnox.com
POST
/v2/player/iot-add
1.
This interface allows adding players to the cloud. After addition, the devices will be added to the pending activation list and automatically moved to the player list of the corresponding account once they are connected to the network.
2.
Only the primary account has the permission to operate this interface.

Request

Body Params application/jsonRequired

Example
{
    "sns": [
        "TEST2KKA03602N0A10004211",
        "TEST2KKA03602N0A10004212"
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://open-us.vnnox.com/v2/player/iot-add' \
--header 'Content-Type: application/json' \
--data-raw '{
    "sns": [
        "TEST2KKA03602N0A10004211",
        "TEST2KKA03602N0A10004212"
    ]
}'

Responses

🟢200成功
application/json
Body

Example
{
    "logid": 1739868263287,
    "status": 0,
    "data": {
        "fail": [],
        "success": [
            {
                "date": "2025-02-18 16:44:23",
                "snCode": "TEST2KKA03602N0A10004228",
                "snName": "TEST2KKA03602N0A10004228"
            },
            {
                "date": "2025-02-18 16:44:23",
                "snCode": "TEST2KKA03602N0A10004229",
                "snName": "TEST2KKA03602N0A10004229"
            }
        ]
    }
}
Modified at 2026-04-20 08:11:20
Previous
Common HTTP Status Codes
Next
Obtain player list
Built with